package com.steerinfo.dil.service.impl;
import com.steerinfo.dil.mapper.UniversalMapper;
import com.steerinfo.dil.service.UniversalService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @ author    :TXF
 * @ time      :2021/10/19 18:05
 */

@Service
public class UniversalServiceImpl implements UniversalService {

    @Resource
    private UniversalMapper universalMapper;
    /**
     * 打印提货单
     * @param orderNumber 运输订单号
     * @return
     */
    @Override
    public Map<String, Object> printTiHuoDan(String orderNumber) {

        //查询订单信息
        Map<String, Object> tiHuoDanMap = universalMapper.getTiHuoDan(orderNumber);
        //查询该订单下的所有装车信息
        List<Map<String, Object>> oomMes = universalMapper.getOOMMes(orderNumber);
        tiHuoDanMap.put("loadMes", oomMes);
        return tiHuoDanMap;
    }
}
